Subject: Re: cygwin bash groks PATH wrong
From: Earnie Boyd <[email-masked]>
To: Peter Cordes <[email-masked]>
Cc: cygwin users <[email-masked]>
Date: Fri, 14 Jan 2000 10:18:09 -0800 (PST)

The pathing routines have been rewritten.  Either download a snapshot or buy
the CD version to get these changes.  //c/ is nolonger what happens.  Report
your bug against what is current please.

Earnie.

--- Peter Cordes <[email-masked]> wrote:
> On Fri, 14 Jan 2000, Bob McGowan wrote:
> 
> > Peter,
> > 
> > I don't think this can qualify as a bug.  Though relative paths don't
> > really make sense in either the DOS/Windows world or the UNIX world, you
> > can change your path to include them.  I think this is true also on
> > DOS/Windows, with the added issue of drives and their current directory
> > concepts.  This means for DOS I could have a directory with no drive
> > letter, so it is only valid when the drive it is on is current.
> 
>  I'd agree with that, except that I think it is a bug because there
> is no way //cfoo can be considered correct.  Maybe cygwin (or bash,
> whichever one is doing the dos->unix style path translation) should
> translate c:foo to a simple relative PATH of foo, dropping the drive
> letter.  This is right sometimes, and avoids putting a bogus UNC name in
> the PATH.  Even better would be to print a warning before doing this, so
> the user could fix their (probably typo'd) DOS path.
>  
> > Do you have any control over the local computer you are running bash
> > on?  You may be able to effect some repair in the Control
> > Panel->System's environment tab.  If not, you should have complete
> > control over your personal setup of Cygwin and should be able to either
> > set the PATH exactly as you like in your .profile or .bashrc (i.e. don't
> > put a $PATH on the right side), or even run the existing DOS/Windows
> > path through sed or awk to munge it up the way you need it.
> 
>  Luckily, the CS help desk listens to bug reports, and fixed their typo in
> the DOS path.  :)
> 
>  Thanks,
> 
> #define X(x,y) x##y
> DUPS Secretary ; http://is2.dal.ca/~dups/
> Peter Cordes ;  e-mail: X([email-masked]. , dal.ca)
> 
> "The gods confound the man who first found out how to distinguish the hours!
>  Confound him, too, who in this place set up a sundial, to cut and hack
>  my day so wretchedly into small pieces!" -- Plautus, 200 BCE
> 
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
> 
> 
__________________________________________________
Do You Yahoo!?
Talk to your friends online with Yahoo! Messenger.
http://im.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]